Subject: Re: Proposal: %T Prompt parameter for psql for current time (like Oracle has)

From: Kirk Wolak <[email-masked]>
Date: Wed, 1 Mar 2023 16:30:45 -0500

On Wed, Mar 1, 2023 at 11:55 AM Jim Jones <[email-masked]> wrote:

> On 01.03.23 17:13, Kirk Wolak wrote:
>
> Thanks, corrected, and confirmed Unix line endings.
> FWIW, the simplest way to test it is with this command (I usually get it
> wrong on the first guess)
>
> \set PROMPT1 %T ' ' :PROMPT1
>
> Kirk
>
> Nice. The patch applies clean and the cfbots seem much happier now - all
> passed.
>
> 17:23:19 postgres=# SELECT now();
>               now
> -------------------------------
>  2023-03-01 17:23:19.807339+01
> (1 row)
>
> The docs render also just fine. I'm now wondering if HH24:MI:SS should be
> formatted with, e.g. using <literal>
>
> "The current time on the client in <literal>HH24:MI:SS</literal> format."
>
> But that I'll leave to the docs experts to judge :)
>
> Best, Jim
>
Thanks Jim.

I hope one of the Docs experts chime in.  It's easy enough to fix.  Just
not sure if it's required.
What a great learning experience!